# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'structformatter/version'

Gem::Specification.new do |spec|
	spec.name          = "structformatter"
	spec.version       = Structformatter::VERSION
	spec.authors       = ["chrislee35"]
	spec.email         = ["rubygems@chrislee.dhs.org"]
	spec.description   = %q{Extends Structs, Hashes, and Arrays with .to_json, .to_xml, and .to_s.  This handles nested data structures and some oddities that other methods do not.}
	spec.summary       = %q{Extends Structs, Hashes, and Arrays with .to_json, .to_xml, and .to_s}
	spec.homepage      = "https://github.com/chrislee35/structformatter"
	spec.license       = "MIT"

	spec.files         = `git ls-files`.split($/)
	spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
	spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
	spec.require_paths = ["lib"]

	spec.add_runtime_dependency "json", ">= 1.4.3"
	spec.add_development_dependency "bundler", "~> 1.3"
	spec.add_development_dependency "rake"

	spec.signing_key   = "#{File.dirname(__FILE__)}/../gem-private_key.pem"
	spec.cert_chain    = ["#{File.dirname(__FILE__)}/../gem-public_cert.pem"]
end
